<?php
/*
   Mod Manager Generation III.  Main page.
   Based on original work of Brian McFadyen, rewritten by Rick Bisbee to
   encapsulate upgrades and mods provided by TNG users.

   140919 add languages
*/
$debug = false;
include("begin.php");
include("adminlib.php");
$textpart = "mods";
include("getlang.php");

// Doing this you end up with part French, part English
// Should be one or the other, right?
// So until all terms are integrated should be in modtext.php -- no admintext.php
// Even if some terms are defined in admintext.php independantely of mm
include("$mylanguage/admintext.php");
//print_r( $admtext ); exit;
if( file_exists( "$mylanguage/modtext.php" ) ) {
   include("$mylanguage/modtext.php");
}
else {
   include("languages/English/modtext.php");
}

tng_db_connect($database_host,$database_name,$database_username,$database_password) or exit;
$admin_login = 1;
include("checklogin.php");
include("version.php");
include("classes/version.php");

$thisfile = $_SERVER['PHP_SELF'];

if( !empty( $debug ) ) {
   error_reporting( E_ALL );
   ini_set( 'display_errors', 'on' );
   ini_set( 'error_log', 'mm_error.log' );
}
define( 'NAMECOL',   1 );
define( 'FILECOL',   0 );

define( 'INSTALL',   1 );
define( 'REMOVE',    2 );
define( 'DELETE',    3 );
define( 'CLEANUP',   4 );
define( 'EDITP',     5 );
define( 'UPDATEP',   6 );
define( 'RESTOREP',  7 );

// temporary: these can be set from any options file
//include $subroot.'mmconfig.php';
include 'classes/mod.class.config.php';

// temporary language support -- adds to TNG admintext.php
//include 'classes/admintext.php';


// column sort selection
if( isset( $_GET['sort'] ) ) {
   $_SESSION['sortby'] = $_GET['sort'];
}
if( isset( $_SESSION['sortby'] ) )
   $options['sortby'] = $_SESSION['sortby'];

$helplang = findhelp("modmanager_help.php");

$flags['tabs'] = $tngconfig['tabs'];

tng_adminheader( $admtext['modmgr'], $flags );

$parts = explode( ".", $tng_version );		// added to determine TNG vNN for
$tngmodver = "{$admtext['tngmods']} v{$parts[0]}";	// Mods for TNG vNN text display
$tngmodurl = "Mods_for_TNG_v{$parts[0]}";	// Mods for TNG vNN URL

$modtabs[0] = array(1, $thisfile, $admtext['modlist'],"modlist");
$modtabs[1] = array(1,"admin_showmodslog.php",$admtext['viewlog'],"viewlog");
$modtabs[2] = array(1,"admin_modoptions.php",$admtext['options'],"options");
$innerhelp = "<a href=\"#\" onclick=\"return openHelp('$helplang/modmanager_help.php');\" class=\"lightlink\">{$admtext['help']}</a>";

$modsyntax = "&nbsp;&nbsp;|&nbsp;&nbsp;<a href=\"http://tng.lythgoes.net/wiki/index.php?title=Mod_Manager_Syntax\" target=\"_blank\" class=\"lightlink\">{$admtext['modsyntax']}</a>";
$modguidelines = "&nbsp;&nbsp;|&nbsp;&nbsp;<a href=\"http://tng.lythgoes.net/wiki/index.php?title=Mod_Guidelines\" target=\"_blank\" class=\"lightlink\">{$admtext['modguidelines']}</a>";

$tngmods = "&nbsp;&nbsp;|&nbsp;&nbsp;<a href=\"http://tng.lythgoes.net/wiki/index.php?title=Category:$tngmodurl\" target=\"_blank\" class=\"lightlink\">$tngmodver</a>";

$innermenu = $innerhelp . $modsyntax . $modguidelines . $tngmods;

//$innermenu = "<a href=\"#\" onclick=\"return openHelp('$helplang/modmanager_help.php');\" class=\"lightlink\">$admtext[help]</a>";
$menu = doMenu($modtabs,"modlist",$innermenu);
if(!isset($message)) $message = "";
$headline = displayHeadline($admtext['modmgr']." Gen III","img/modmgr_icon.gif",$menu,$message);
$first_menu=TRUE;

$cfgfolder = rtrim( $rootpath, "/" ).'/'.trim( $modspath, "/" ).'/';
/*************************************************************************
PROCESS POSTED FORM DATA (BULK REQUESTS)
*************************************************************************/
if( !empty( $_POST ) ) {
   //echo __FILE__,' ',__LINE__,'<br />';print_r( $_POST );exit;
   foreach( $_POST as $key => $value ) {
      ${$key} = $value;
   }
   if( !empty( $submit ) ) {
      if( !empty( $mods ) ) {
         foreach( $mods as $mod ) {
            if( isset( $mod['selected'] ) ) {
               $modlist[] = $cfgfolder.$mod['file'];
            }
         }
      }
      if( $submit == "installall" ) {
         //echo __FILE__,' ',__LINE__,'<br />';print_r( $modlist);exit;
         include_once 'classes/modinstaller.class.php';
         $oInstaller = new modinstaller($rootpath, $subroot, $modspath, $time_offset, $admtext);
         $oInstaller->set_options( $options );
         $oInstaller->batch_install( $modlist );
      }
      elseif( $submit == "removeall" ) {
         include_once 'classes/modremover.class.php';
         $oRemover = new modremover($rootpath, $subroot, $modspath, $time_offset, $admtext);
         $oRemover->set_options( $options );
         $oRemover->batch_remove( $modlist );
      }
      elseif( $submit == "cleanupall" ) {
         include_once 'classes/modremover.class.php';
         $oRemover = new modremover($rootpath, $subroot, $modspath, $time_offset, $admtext);
         $oRemover->set_options( $options );
         $oRemover->batch_remove( $modlist );
      }
      elseif( $submit == "deleteall" ) {
         include_once 'classes/modbase.class.php';
         $obj = new modbase($rootpath, $subroot, $modspath, $time_offset, $admtext);
         $obj->set_options( $options );
         $msg = "{$admtext['deletingmods']}";
         $obj->new_logevent( $msg );
         $error = false;
         foreach( $modlist as $cfgpath ) {
            $msg = "<strong>$cfgpath</strong>: ";
            if( !unlink( $cfgpath ) ) {
               $msg .= "<span class=\"msgerror\">{$admtext['cantdel']}</span>";
               $error = true;
            }
            else {
               $msg .= "<span class=\"msgapproved\">{$admtext['filedel']}</span>";
            }
            $obj->add_logevent( $msg );
         }
         $obj->write_eventlog();
         if( $error ) {
            header( "Location:admin_showmodslog.php");
            exit;
         }
      }
      elseif( $submit == "pUpdate" ) {
         //echo __FILE__,' ',__LINE__;print_r($_POST);exit;
         include_once 'classes/modeditor.class.php';
         $oEdit = new modeditor( $rootpath, $subroot, $modspath, $time_offset, $admtext );
         $oEdit->set_options( $options );
         if( $oEdit->update_parameter( $param ) ) {
            $action = EDITP;
            $cfgpath = $param['cfg'];
         }
         else {
            header("Location:admin_showmodslog.php");
         }
      }
      elseif( $submit == "pRestore" ) {
         include_once 'classes/modeditor.class.php';
         $oEdit = new modeditor( $rootpath, $subroot, $modspath, $time_offset, $admtext );
         $oEdit->set_options( $options );
         if( $oEdit->restore_parameter( $param ) ) {
            $action = EDITP;
            $cfgpath = $param['cfg'];
         }
         else {
            header("Location:admin_showmodslog.php");
         }
      }
      elseif( $submit == "pCancel" ) {
         unset( $submit );
      }
   }
}
/*************************************************************************
PROCESS QUERY LINE ARGS (SINGLE MOD REQUESTS)
*************************************************************************/
elseif( !empty( $_GET ) ) {
   //echo __FILE__,' ',__LINE__,'<br />';print_r( $_GET );exit;
   foreach( $_GET as $key => $value ) {
      ${$key} = $value;
   }

   if( isset( $a ) ) {
      $action = isset( $a ) ? $a : '';
      $cfgpath = isset( $m ) ? $cfgfolder.$m : '';

      if( $action == INSTALL ) {
         //echo __FILE__,' ',__LINE__;print_r( $_GET );exit;
         include_once 'classes/modinstaller.class.php';
         $obj = new modinstaller($rootpath, $subroot, $modspath, $time_offset, $admtext);
         $obj->set_options( $options );
         if( !$obj->install( $cfgpath ) ) {
            // if fails to install, show log
            header( "Location:admin_showmodslog.php");
            exit;
         }
      }
      elseif( $action == REMOVE ) {
         //echo __FILE__,' ',__LINE__," $cfgpath";exit;
         include_once 'classes/modremover.class.php';
         $obj = new modremover($rootpath, $subroot, $modspath, $time_offset, $admtext);
         $obj->set_options( $options );
         if( !$obj->remove( $cfgpath ) ) {
            // if fails to remove mod, show log
            header( "Location:admin_showmodslog.php");
            exit;
         }
      }
      elseif( $action == DELETE ) {
         $error = false;
         $msg = "{$admtext['deleting']} <strong>$cfgpath</strong>";
         include_once 'classes/modbase.class.php';
         $obj = new modbase($rootpath, $subroot, $modspath, $time_offset, $admtext);
         $obj->set_options( $options );
         $obj->new_logevent( $msg );
         if( !unlink( $cfgpath ) ) {
            $msg = "<span class=\"msgerror\">{$admtext['cantdel']}</span>";
            $error = true;
         }
         else {
            $msg = "<span class=\"msgapproved\">{$admtext['filedel']}</span>";
         }
         $obj->add_logevent( $msg );
         $obj->write_eventlog();
         if( $error ) {
            header( "Location:admin_showmodslog.php");
            exit;
         }
      }
      elseif( $action == CLEANUP ) {
         include_once 'classes/modremover.class.php';
         $obj = new modremover($rootpath, $subroot, $modspath, $time_offset, $admtext);
         $obj->set_options( $options );
         if( !$obj->remove( $cfgpath ) ) {
            // if fails to remove show log
            header( "Location:admin_showmodslog.php");
            exit;
         }
      }
   }
}
// current filter
if( isset( $filter ) ) {
   $_SESSION['filter'] = $filter;
}
else
   $filter = 0; // F_ALL
if( isset( $_SESSION['filter'] ) ) {
   $filter = $_SESSION['filter'];
}
// current sort order
if( isset( $_GET['sort'] ) )
   $_SESSION['sortby'] = $_GET['sort'];
if( isset( $_SESSION['sortby'] ) )
   $options['sortby'] = $_SESSION['sortby'];

include 'classes/tempstyle.php';
echo "
<script type=\"text/javascript\" src=\"js/admin.js\"></script>
</head>
<body background=\"img/background.gif\">
<div id=\"mmhead-section\">
<div style=\"background-image:url(img/background.gif);line-height:5px;\">&nbsp;</div>
   $headline
</div>
<div id=\"mmpage\" class=\"lightback\">";

/*************************************************************************
DISPLAY SCREENS
*************************************************************************/
// test parser
/*
include_once 'classes/modparser.class.php';
$oParse = new modparser($rootpath, $subroot, $modspath, $time_offset, $admtext);
//$oParse->parse( 'mods/personal_table_maintenance_v9.1.2.3.cfg' );
//$oParse->parse('mods/living_color_v10.0.2.10.cfg');
//$oParse->parse('mods/customized_logs_v10.0.0.2.cfg');
$oParse->parse( 'mods/censusplus_v10.0.0.0b.cfg' );
echo $oParse->description,'<br />';
print_r( $oParse->warnings );
print_r( $oParse->parse_errors );
print_r( $oParse->tags );
exit;
*/
// after changing a mod parameter, return to editor for visual confirmation
if( !empty( $action ) && $action == EDITP ) {
   if( !class_exists( "modeditor" ) ) {
      include_once 'classes/modeditor.class.php';
      $oEdit = new modeditor($rootpath, $subroot, $modspath, $time_offset, $admtext);
   }
   $oEdit->set_options( $options );
   $oEdit->show_editor( $cfgpath );
   exit;
}
else {
   //echo __FILE__,' ',__LINE__;print_r( $options );exit;
   include 'classes/modlister.class.php';
   $oModlist = new modlister( $rootpath, $subroot, $modspath, $time_offset, $admtext );
   $oModlist->filter = $filter;
   $oModlist->set_options( $options );
   $oModlist->list_mods();
}

echo "
</div><!--mmpage-->
<div align=\"right\"><span class=\"normal\">$tng_title, v.$tng_version ($mm_version)</span></div>
</body>
</html>";
exit;
?>