<?php
/*
 *	Top level script to keep FGW in iframe.
 *
 *	Requires working TNG versions from 10.1 up to current.
 * Sets sessian vars with user privileges
 * Sets the FGW path-to-root in session var
 * Uses the tng current language
 *
*/

// USER SETTINGS
$tngpath = '../'; 	// first level below the TNG root
$title = 'FGW';

$rootpath = realpath( $tngpath ) . DIRECTORY_SEPARATOR;
set_include_path( $rootpath );
include 'tng_begin.php';
$cms['tngpath'] = $tngpath;

// LIMIT SCRIPT ACCESS TO AUTHORIZED USERS
while( true ) {
	require 'user_config.php';
	@session_start();
	if( !empty( $_GET['id'] ) && !empty( $_GET['fkey'] ) ) break;

	if( empty( $options['restricted'] ) ) break;

	if( $_SESSION['tngrole'] == 'admin' ) break;

	if( $_SESSION['tngrole'] == 'editor' ) {
		if( !empty( $options['editors'] ) ) break;
	}

	if( !empty( $_SESSION['logged_in'] ) ) break;

	$_SESSION['fgw_alert'] = 3;
	header( 'Location:fgw_alert.php' );
	exit;
}

//include $tngpath.'tng_begin.php';
//$cms['tngpath'] = $tngpath;

// require 'fgw/user_config.php';

// ESTABLISH USER PRIVILEGES FOR SESSION
$tngrole = $_SESSION['tngrole'];
$editors = !empty( $options['editors'] )  ? 1 : 0;
if( $tngrole == 'admin' || ( $editors && $tngrole == 'editor' ) ) {
	$_SESSION['fgw_superuser'] = 1;
}
else {
	$_SESSION['fgw_superuser'] = 0;
}

$_SESSION['fgw_restricted'] = !empty( $options['restricted'] ) ? 1 : 0;

if( empty( $_SESSION['fgw_opened'] ) ) {
	$_SESSION['fgw_opened'] = 1;
	$client = !empty($_SESSION['currentuser'] ) ? $currentuser :
			$text['unknown'];
	include 'fgw_logger.php';
	$logstring = "FGW {$text['accessedby']}";
	fgw_writelog( $options['userlog'], $logstring, $options['max_loglines'] );
}

$fgw_height = empty( $_SESSION['fgw_superuser'] ) ? '80%' : '74%';

$flags['scripting'] = "<style type=text/css>
	iframe#fgw_links {
		width:100%;
		height:45px;
		border:0;
	}
	iframe#fgw {
   width: 1px;
   min-width: 100%;
	overflow:hidden;
	border:{$options['form_border']};
	}
</style>
<script type='text/javascript' src='js/iframeResizer.min.js'></script>
";

$flags['noheader'] = false;
$flags['nobody'] = false;
$flags['noicons'] = false;
tng_header( 'FGW', $flags );  // $title ????

$qstring = !empty( $_SERVER['QUERY_STRING'] ) ? $_SERVER['QUERY_STRING'] : '';
$target_file = 'fgw_worksheet.php';
if( !empty( $qstring ) ) {
	$target_file .= '?'.$qstring;
}

if( !empty( $_SESSION['fgw_superuser'] ) ) {
	echo "
<iframe
	id='fgw_links'
	class='links'
	src='fgw_links.php'
	name='fgw_links'
	scrolling='no'>
		Iframes not supported
</iframe>
<br />";
}

// The div is absolutely necessary for scrolling on iPad
echo "
<div style='overflow:auto;-webkit-overflow-scrolling:touch'>
<iframe
	id='fgw'
	src='$target_file'
	name='fgw'
	scrolling='no'>
		Iframes not supported
</iframe>
</div>
<script>iFrameResize({log:true}, '#fgw' )</script>";

echo "
<script type='text/javascript' src='js/litbox.js'></script>
</html>
</body>";
/***************************************************************
	FUNCTIONS
***************************************************************/
function random_key($length = 10) {
   $characters =
	'!@#$%^&*()abcdefghijklmnopqrstuvwxyz0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ';
   $charactersLength = strlen($characters);
   $randomString = '';
   for ($i = 0; $i < $length; $i++) {
      $randomString .= $characters[rand(0, $charactersLength - 1)];
   }
   return $randomString;
}
