<?php
// PROTECT SCRIPT AGAINST DIRECT ACCESS
if( empty( $_POST ) || !is_array( $_POST ) ) {
	@session_start();
	$_SESSION['fgw_alert'] = 3;
	header( 'Location:fgw_alert.php' );
	exit;
}
include 'fgw_lib.php';
include 'user_config.php';

$debug = false;
if( !empty( $debug ) ) {
   error_reporting( E_ALL );
   ini_set( 'display_errors', '1' );
   ini_set( 'error_log', 'error.log' );
}
else {
   error_reporting( E_ERROR );
   ini_set( 'display_errors', '0' );
   ini_set( 'error_log', '' );
}

$superuser = !empty( $_SESSION['fgw_superuser'] ) ? 1 : 0;

// default instruction text
if( $superuser ) {
	$notify = "<span class=\"info\"><i>{$text['ws_admin_intro']}</i></span>";
}
else {
	$notify = "<span class=\"info\"><i>{$text['ws_intro']}</i></span>";
}

// initialize some variables
$gedcom = '';
$persfamID = '';
$familyID = '';
$personID = '';
$husbID = '';
$wifeID = '';

foreach( $_POST as $key => $value ) {
   ${$key} = $value;
}

// check for token in session to assure we were properly called
if( !$debug ) { // don't require this while debugging scripts
   if( !empty( $_GET ) ) {
      die( "Sorry!" );exit;
   }
}

$trees = fgw_fetch_permitted_trees( $options['treelist'] );
$tree_selector = fgw_tree_selector( $trees, $gedcom  );
$familyID = '';

// process persfamID as appropriate
if( !empty( $persfamID ) ) {
	$persfamID = strtoupper( $persfamID );
	if( $persfamID[0] == 'F') {
		$familyID = $persfamID;
	}
	if( is_numeric( $persfamID ) ) {
		$persfamID = fgw_format_id( 'I', $persfamID );
	}
	$data = fgw_fetch_persfam_data( $gedcom, $persfamID );
}
// calling for clean worksheet
else {
	$data = fgw_fetch_persfam_data_empty( $gedcom );
}

// fgw_form.php needs this
foreach( $data as $key => $value ) {
   ${$key} = $value;
}

$formTitle = fgw_title( $data['husb'], $data['wife'] );

$confirmation = 'e35325117ab18226b4ddf6c780a30acf';
include 'fgw_form.php';
