<?php
/***************************************************************
CREATE INDEPENDENT PAGE HEADER
***************************************************************/
// THIS FILE INCLUDED BY IFRAME PAGES NEEDING A HEADER
if( count(get_included_files()) == 1 ) {
	@session_start();
	$_SESSION['fgw_alert'] = 3;
	header( 'Location:fgw_alert.php' );
	exit;
}

function fgw_header( $title, $flags = array(), $script=true ) {

	$tngpath = '../';
	include $tngpath.'subroot.php';
	if( empty( $subroot ) ) $subroot = $tngpath;
	include $subroot.'config.php';

	@session_start();

	// next two lines are critical for switching charsets
	$session_charset = $_SESSION['session_charset'];
	header("Content-Type: text/html; charset=$session_charset");

	$session_language = $_SESSION['session_language'];
	if( !file_exists( $session_language.'/text.php' ) ) {
		// default
		$session_language = 'English-UTF8';
	}
	//include $tngpath.'languages/'.$session_language.'/text.php';
	include $session_language.'/text.php';
	include $session_language.'/su_text.php';

	// CONVERT TO LANGUAGE DINOME FOR HTML TAG
	$digraph = '';
	switch( $session_language ) {
		case 'English':
		case 'English-UTF8':
			$digraph = 'en';
			break;
		case 'Dutch':
		case 'Dutch-UTF8':
			$digraph = 'nl';
			break;
		case 'French':
		case 'French-UTF8':
			$digraph = 'fr';
			break;
		case 'German':
		case 'German-UTF8':
			$digraph = 'de';
			break;
		case 'Italian':
		case 'Italian-UTF8':
			$digraph = 'it';
			break;
		case 'Spanish':
		case 'Spanish-UTF8':
			$digraph = 'es';
			break;
		default:
			$digraph = '';
	}

	// Commit to HTML5 here
	$fgw_header = "<!DOCTYPE html>";
	
	$siteprefix = $sitename ? @htmlspecialchars($title ? ": " . $sitename : $sitename, ENT_QUOTES, $session_charset) : "";
	$title = @htmlspecialchars($title, ENT_QUOTES, $session_charset);

   $fgw_header .= "
<html lang=\"$digraph\" xml:lang=\"$digraph\" xmlns=\"http://www.w3.org/1999/xhtml\">
<head>
	<title>$sitename</title>
	<meta name=\"keywords\" content=\"$site_desc\" />
	<meta name=\"Description\" content=\"" . $title . $siteprefix . "\" />";

	if( !empty( $session_charset ) ) {
		$fgw_header .= "
	<meta charset=\"$session_charset\">";
	}
	if( !empty( $tngconfig['favicon'] ) ) {
	$fgw_header .= "
	<link href='$tngdomain/{$tngconfig['favicon']}' rel='shortcut icon' />";
	}
	$fgw_header .= "
	<link href='../css/genstyle.css?v=13' rel='stylesheet' type='text/css' />";


	$templatepfx = is_numeric($templatenum) ? "template" : "";
	$templatepath = $templateswitching && $templatenum ? $tngpath."templates/$templatepfx$templatenum/" : "";
	$template_csspath = $templatepath.'css/templatestyle.css?v=13';

	$fgw_header .= "
	<link href='$template_csspath' rel='stylesheet' type='text/css' />
	<link href='css/fgw_style.css?v=13' rel='stylesheet' type='text/css' />";

	if( $script ) {
		// WE ARE OFFLINE SO GET LIBRARIES STORED IN FGW/JS
		if( !empty( $tngconfig['offline'] ) ) {
	 		$fgw_header .= "
		<!--
		<script type='text/javascript'>
		// <![CDATA[\nwindow.jQuery || document.write(\"<script src='js/jquery-3.4.1.min.js?v=910'>\\x3C/script>\")\n//]]>
		</script>
		-->
		</script>
		<script type='text/javascript'>
		// <![CDATA[\nwindow.jQuery.ui || document.write(\"<script src='js/jquery-ui-1.12.1.min.js?v=910'>\\x3C/script>\")\n//]]>
		</script>";
		}
		// WE ARE ONLINE SO GRAB LIBRARIES FROM JQUERY SITE
		else {
			$fgw_header .= "
		<script src='https://code.jquery.com/jquery-3.4.1.min.js' integrity='sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=' crossorigin='anonymous'></script>
		<script src='https://code.jquery.com/ui/1.12.1/jquery-ui.min.js' type='text/javascript' integrity='sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=' crossorigin='anonymous'></script>";
		}
	}

	$fgw_header .= "
		<script type='text/javascript' src='js/iframeResizer.contentWindow.min.js'></script>";

	if( !empty( $flags['scripting'] ) ) {
		$fgw_header .= $flags['scripting'];
	}

	$fgw_header .= "
</head>
<body>";

	echo $fgw_header;
}
