<?php
/*************************************************************************
CREATE TNG_FORMS TABLE AND TRIGGER
  Standalone - Run once during setup; if table exists all data will be lost!
*************************************************************************/
@session_start();

if( $_SESSION['tngrole'] != 'admin' ) {
	$_SESSION['fgw_alert'] = 3;
	header( 'Location:fgw_alert.php' );
	exit;
}

include 'fgw_lib.php';

if( empty( $options['table'] ) ) {
    echo 'Table name is missing!';
    return;
}

if( db_table_exists ( $options['table'] ) ) {
    db_system( "DROP TABLE IF EXISTS {$options['table']}" );
}

$query = "CREATE TABLE {$options['table']} (
    formID INT(11) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
    gedcom VARCHAR(20) NOT NULL, INDEX(gedcom),
    description VARCHAR(128) NOT NULL,
    data TEXT,
    fkey VARCHAR(128),
    email VARCHAR(128) NOT NULL,
    subname VARCHAR(64) NOT NULL,
    created DATETIME,
    updated TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    merged TINYINT(4) DEFAULT 0,
    closed TINYINT(4) DEFAULT 0,
    familyID VARCHAR(64), INDEX(familyID),
    husbID VARCHAR(64), INDEX(husbID),
    wifeID VARCHAR(64), INDEX(wifeID),
    INDEX (gedcom),
    INDEX (fkey)
    ) ENGINE MYISAM";
db_system( $query );
?>