<?php
/*************************************************************************
 Search the fgw forms table
*************************************************************************/
/*************************************************************************
LOCATE AND INCLUDE TNG LIBRARY FILES
*************************************************************************/
include 'fgw_lib.php';
include 'fgw_header.php';
include 'fgw_logger.php';
include 'version.php';

if( !$_SESSION['fgw_superuser'] ) {
	$_SESSION['fgw_alert'] = 3;
	header( "Location:fgw_alert.php" );
	exit;
}
if( empty( $options['table'] ) || !db_table_exists( $options['table'] ) ) {
	$_SESSION['fgw_alert'] = 6;
	header( 'Location:fgw_alert.php' );
	exit;
}

if( $_GET && is_array( $_GET ) ) {
	foreach( $_GET as $key=>$value ) {
		if($key == 'lang' || $key == 'mylanguage') die("sorry!");
		if(is_string($value))
			${$key} = strip_tags($value);
	}
}
elseif( $_POST && is_array( $_POST ) ) {
	foreach( $_POST as $key=>$value ) {
		if($key == 'lang' || $key == 'mylanguage') die("sorry!");
		${$key} = $value;
	}
}

$missing = "<span style=\"color:#990000;\"><strong>[&nbsp;&nbsp;-&nbsp;&nbsp;]</strong></span>";
$treerows = fgw_fetch_permitted_trees( $options['treelist'] );
$gedlist = 'GEDCOM: ';
foreach( $treerows as $row ) {
    $gedlist .= $row['gedcom'].", ";
}
$gedlist = trim( $gedlist, ", ");
$pageTitle = $text['ws_results'];

/*************************************************************************
DELETE REQUESTED WORKSHEET
*************************************************************************/
if( !empty( $delete ) ) {
   $query = "DELETE FROM {$options['table']}
      WHERE formID='$delete'";
   db_delete( $query )
	;
  $logstring = "fgw#$delete {$text['ws_deletedby']}";
  fgw_writelog( $options['userlog'], $logstring, $options['max_loglines'] );
}

/*************************************************************************
QUERY DATABASE
*************************************************************************/
//echo __FILE__,' ',__LINE__,'<br />';print_r( $_POST );exit;
foreach( $_POST as $key => $value ) {
   ${$key} = fgw_sanitize_recursive( $value );
}
// CONSTRUCT QUERY AND FETCH RECORDS
$query = "SELECT * FROM {$options['table']}";

if( !empty( $searchID ) ) {
   $query .= ' WHERE ';

   $searchID = strtoupper( $searchID );
   $entype = $searchID[0];
   //echo 'entype = ', $entype, '<br />';
   if( $entype == 'F') {
      $query .= "familyID='$searchID'";
   }
   elseif( $entype == 'I' ) {
      $query .= "husbID='$searchID' OR wifeID='$searchID'";
   }
   else {
      $query .= "formID='$searchID'";
    }
}
if( $assignedtree ) {
   $query .= empty( $searchID ) ? ' WHERE ' : ' AND ';
   $query .= "gedcom='$assignedtree' OR gedcom=''";
}
$query .= " ORDER BY formID ASC";
$rows = db_select( $query );

/************************************************************************
CREATE PAGE HEADER
*************************************************************************/
foreach( $options as $key => $value ) {
    ${$key} = fgw_sanitize_recursive( $value );
}
$preferEuro = $tngconfig['preferEuro'] ? $tngconfig['preferEuro'] : "false";
// if background image name is empty string,
// form will not set destinationpage8 value!
$form_bgimg = !empty( $form_bgimg ) ? $form_bgimg : "noimage";
# following styles the page and prevents submitting the page with Return key
$flags['scripting'] = "
<link href=\"css/fgw_style.css\" rel=\"stylesheet\" type=\"text/css\" />
<link href=\"css/fgw_print.css\" rel=\"stylesheet\" type=\"text/css\" media=\"print\" />
<style type=\"text/css\">
<!--
.fgw_container {
    background-color:$form_background;
    background-image:url( {$cms['tngpath']}$form_bgimg );
    border: $form_border;
}
.fgw_content {
    color:$form_text_color;
}
.fgw_content a:link { color:$form_text_color; }

table.genform textarea, table.genform input[type=text] {
  background-color:$field_background_color;
  border:$cell_border;
  color:$field_text_color;
}
table.genform select {
  background-color:$field_background_color;
  color:$field_text_color;
  border: $cell_border;
}
.label{
    color:$form_labels;
}
.warning {color:$error_msg_color;}
.success {color:$notify_msg_color;}
.msgbox{border-bottom:$cell_border;}
-->
</style>";

// DISPLAY TNG PAGE
//include 'fgw_header.php';
fgw_header( 'Search', $flags );
/************************************************************************
CREATE SEARCH RESULTS HEADER AND DISPLAY PANEL
*************************************************************************/
echo "
<table width=\"95%\">
<tr>
<td width=\"50%\">
<div id=\"fgwicon\" style=\"float:left;\">
  <img src=\"img/families.gif\" width=\"20\" height=\"20\" alt=\"\"/>
</div>
<div style=\"float:left;\">
<span class=\"header\">$pageTitle</span>
</div>
</td>
</tr>
<tr class=\"spacer\"><td>&nbsp;</td></tr>
</table>
<div class=\"fgw_container\">
<div class=\"fgw_content\">
<h4>$gedlist</h4>";
// factor treerows - if $thetree not in treerows continue
if( count( $rows) ) {
    foreach( $rows as $row ) {
        $thetree = $row['gedcom'];
        if( !empty( $thetree ) && !fgw_in_trees( $thetree, $treerows ) ) continue;
        if( empty( $thetree ) ) $thetree = $missing;
        $familyID = empty( $row['familyID'] ) ? $missing : $row['familyID'];
        $husbID = empty( $row['husbID'] ) ? $missing : $row['husbID'];
        $wifeID = empty( $row['wifeID'] ) ? $missing : $row['wifeID'];

        $link = "fgw_worksheet.php?id={$row['formID']}&fkey={$row['fkey']}";
        $linktext = "{$text['ws_worksheet']} {$row['formID']}, {$row['description']}
        [{$row['gedcom']}],
        {$text['ws_familyid']}: $familyID, {$text['ws_husbandid']}: $husbID,
        {$text['ws_wifeid']}: $wifeID";

        $linetext2 = "{$text['ws_submittedby']} {$row['subname']} {$row['updated']} ";
        $merged = $row['merged'] ? $text['ws_merged'] : $text['ws_new'];
        $closed = $row['closed'] ? $text['ws_closed'] : $text['ws_open'];

        echo "
<div style=\"display:table-cell;width:25px;\">
   <a href=\"?delete={$row['formID']}\" onClick=\"return confirm('".$text['ws_confdel']."');\">
      <img src=\"img/tng_delete.gif\">
   </a>
</div>
<div style=\"display:table-cell;vertical-align:middle;\">
   <a href=\"$link\" target='fgw'>$linktext</a><br />
   $linetext2&nbsp;&nbsp;Status: $merged&nbsp;/&nbsp;$closed
</div><br />";
    }
    echo "
<strong><i>{$text['ws_click']}</i></strong><br /><br />";
}
else {
    echo '<strong><i>',$text['ws_nomatch'],'!</i></strong><br ><br />';
}

if( !empty( $backformID ) ) {
//echo __FILE__,' ',__LINE__,'<br /> backfkey = ',$backfkey;exit;
    echo "{$text['ws_returnto']} <a href=\"fgw_worksheet.php?id=$backformID&fkey=$backfkey\" target='fgw'>
{$text['ws_worksheet']} $backformID, $backtitle</a>&nbsp;&nbsp;&nbsp;&nbsp;";
}
echo "
</div><!-- fgw_content -->
</div><!-- fgw_container -->
</body>
</html>";
?>
