<?php
$tngpath = '../'; 	// first level below the TNG root
$title = 'FGW Update';
$flags['noheader'] = false;
$flags['nobody'] = false;
$flags['noicons'] = false;

$rootpath = realpath( $tngpath ) . DIRECTORY_SEPARATOR;
set_include_path( $rootpath );
require 'tng_begin.php';
$cms['tngpath'] = $tngpath;
tng_header( $title, $flags );

if( function_exists( 'mysqli_connect' ) ) {
	require 'mysqli.php';
}
else {
	require 'mysql.php';
}
require 'user_config.php';

echo "
<h2>Update FGW Forms Table</h2>";

while( true ) {

	@session_start;
   if( $_SESSION['tngrole'] != 'admin' ) {
   	$_SESSION['fgw_alert'] = 3;
      header("Location:fgw_alert.php");
      exit;
   }

   if( empty( $options['table'] ) ) {
      echo 'Table name is missing!';
      break;
   }

   if( !db_table_exists( $options['table'] ) ) {
      echo "Table does not exist! Please complete the FGW setup.
           If you will be creating a new table, there is no need to run this
			  update.";
      break;
   }

   if( db_column_exists( $options['table'], 'gedcom' ) ) {
      echo "Table {$options['table']} is already updated!";
      break;
   }

   db_system( "ALTER TABLE {$options['table']} ADD gedcom VARCHAR(20) NOT NULL
		AFTER formID,
      ADD INDEX gedcom(gedcom)" );

   echo "Table structure updated!<br />";

   $rows = db_select( "SELECT formID, gedcom, data FROM {$options['table']}" );

   // fill gedcom field and replace data with base64 encoded serialized string
   $count = 0;
   foreach( $rows as $row ) {
       // if already base64 does not need to be processed
      if( substr( $row['data'], 0, 2  ) != "a:" ) continue;
      // get the tree name from the form data
      if( empty( $row['gedcom'] ) ) {
         $data = unserialize( $row['data'] );
         $gedcom = '';
         if( !empty( $data['thetree'] ) )
            $gedcom = $data['thetree'];
         elseif( !empty( $data['gedcom'] ) )
            $gedcom = $data['gedcom'];

         // prepare data in the new base64 format
         $serialized = base64_encode( serialize( $data ) );

         // update the gedcom and data fields
         db_update( "UPDATE {$options['table']} SET gedcom='$gedcom', data='$serialized'
             WHERE formID='{$row['formID']}'" );
         $count++;
      }
   }
   echo "$count old data record formats have been updated!<br /><br />";
   break;
}
echo "<br /><br />
<button type=\"button\" onClick=\"location.href='fgw.php'\">Worksheet</button>
</body>
</html>";

?>
