<?php
/*************************************************************************
Database interface using the (deprecated) MySQL library
    * Copyright 2014 William Bisbee, all rights reserved
    * Dual licensed under the MIT and GPL licenses:
    *   http://www.opensource.org/licenses/mit-license.php
    *   http://www.gnu.org/licenses/gpl.html

Assumes the database has already been opened by TNG using MySQL
*************************************************************************/
define( 'SELECT',   1 );
define( 'INSERT',   2 );
define( 'DELETE',   3 );
define( 'UPDATE',   4 );
define( 'REPLACE',  5 );
define( 'COUNT',    6 );
define( 'SYSTEM',   7 );

/*************************************************************************
OPEN THE DATABASE WITH GLOBAL HANDLE $DB
*************************************************************************/
if( $charset == 'UTF-8' ) $charset = 'utf8';
if( $charset != 'utf8' ) $charset = 'latin1';

$link = @mysql_connect($database_host, $database_username, $database_password);
if( !$link ) {
    die( "Error: We are not able to connect with your database server.
        Please check your server settings and try again" );
}
@mysql_set_charset( $charset, $link );

if( !mysql_select_db($database_name)) {
    die( "Error: We are not communicating with your database.
    Please check your database settings and try again." );
}

/*************************************************************************
QUERIES
*************************************************************************/
// Library query handler
function db_query( $return_type, $query ){
    if( false === $result = mysql_query( $query ) ) {
        trigger_error(mysql_error(), E_USER_ERROR);
        exit;
    }
  // handle returns and cleanup
  switch( $return_type ){
    case COUNT:
      $row = mysql_fetch_array( $result );
      return( $row[0] );
      break;
    case SELECT:
      if( count( $result ) ) {
        while( $row = mysql_fetch_assoc( $result ) ) {
          $rows[] = $row;
        }
        mysql_free_result( $result );
        return $rows;
      }
      return array();
      break;

    case INSERT:
      if( $return_type == INSERT )
        return mysql_insert_id();
      break;

    case DELETE:
    case UPDATE:
    case REPLACE:
      return mysql_affected_rows();
      break;

    case SYSTEM:
        return $result;
        break;

    default:
      trigger_error( 'Unknown query type', E_USER_ERROR );
      break;
  }
}

function db_escape( $array ) {
if( !get_magic_quotes_gpc() )
	if( is_string( $array ) )  {
	  $array = mysql_real_escape_string( $array );
	}
	elseif( is_array ($array ) )  {
		foreach( $array as $key => $value )
			if( is_string( $value ) ) {
				$array[$key] = mysql_real_escape_string( $value );
			}
	}
	return $array;
}

function db_table_exists( $table_name ) {
    $rows = db_select( "SHOW TABLES LIKE '$table_name'" );
    return count( $rows );
}

function db_column_exists( $table_name, $column_name ) {
    $rows = db_select( "SHOW COLUMNS IN $table_name LIKE '$column_name'" );
    return count( $rows );
}

/*************************************************************************
COUNT
*************************************************************************/
function db_count( $query ) {
  return db_query( COUNT, $query );
}

/*************************************************************************
SELECT
*************************************************************************/
// ret: array of database rows();
function db_select( $query ) {
  return db_query( SELECT, $query );
}

/*************************************************************************
INSERT
*************************************************************************/
// ret new record ID
function db_insert( $query ) {
  return db_query( INSERT, $query );
}

/*************************************************************************
DELETE
*************************************************************************/
// ret: rows affected
function db_delete( $query ) {
  return db_query( DELETE, $query );
}

/*************************************************************************
REPLACE
*************************************************************************/
// ret: affected rows - two for each == one for deleted and one for added.
function db_replace($query ) {
  return db_query( REPLACE, $query );
}

/*************************************************************************
UPDATE
*************************************************************************/
// ret: number affected rows
function db_update( $query ) {
  return db_query( UPDATE, $query );
}
/*************************************************************************
SYSTEM
*************************************************************************/
// ret: number affected rows
function db_system( $query ) {
  return db_query( SYSTEM, $query );
}
?>